import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Scanner;

public class ATSolution {

	Scanner in;

	PrintWriter out;

	boolean isWin(int mas[]) {
		int arr[] = mas.clone();
		Arrays.sort(arr);
		return (arr[0] < arr[1] && arr[1] <= arr[2]);
	}

	void solve() {
		int a = in.nextInt();
		int b = in.nextInt();
		int c = in.nextInt();

		int mas[] = { a, b, c };

		Arrays.sort(mas);

		if (isWin(mas)) {
			out.println(1);
			int cnt = 0;
			for (int i = 0; i < mas.length; i++) {
				for (int j = 0; j < mas.length; j++) {
					if (i != j && mas[i] <= mas[j]) {
						for (int take = 1; take <= mas[i]; take++) {
							mas[i] -= take;
							mas[j] += take;

							if (!isWin(mas)) {
								cnt++;
							}
							mas[j] -= take;
							mas[i] += take;
						}
					}
				}
			}
			out.println(cnt);
		} else {
			out.println(2);
		}
	}

	void run() {
		in = new Scanner(System.in);
		out = new PrintWriter(System.out);
		try {
			solve();
		} finally {
			out.close();
		}
	}

	public static void main(String[] args) {
		new ATSolution().run();
	}

}
